#!/usr/sww/bin/wish
#############################################################################
# Visual Tcl v1.20 Project
#

lappend auto_path ~j-yen/projects/slide/viewer/gui/downloads/BWidget-1.2.1
package require BWidget

#################################
# GLOBAL VARIABLES
#
global radiusMax; 
global radiusMin; 
global radiusValue; 
global thetamaxMin; 
global thetaslicesMin; 
global zmaxMin; 
global zminMin; 
global zslicesMin; 
global widget; 

#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {
global radiusValue radiusMin radiusMax radiusStep
global zminValue zminMin zminMax zminStep
global zmaxValue zmaxMin zmaxMax zmaxStep
global zslicesValue zslicesMin zslicesMax zslicesStep
global thetamaxValue thetamaxMin thetamaxMax thetamaxStep
global thetaslicesValue thetaslicesMin thetaslicesMax thetaslicesStep
  
set radiusValue 1.0
set radiusMin 0.0
set radiusMax 10.0
set radiusStep 1.0

set zminValue -1
set zminMin [expr -$radiusValue]
set zminMax $radiusValue
set zminStep 0.1

set zmaxValue 1
set zmaxMin [expr -$radiusValue]
set zmaxMax $radiusValue
set zmaxStep 0.1

set zslicesValue 8
set zslicesMin 0
set zslicesMax 100
set zslicesStep 1

set thetamaxValue 360
set thetamaxMin 0.0
set thetamaxMax 360.0
set thetamaxStep 1.0

set thetaslicesValue 8
set thetaslicesMin 0
set thetaslicesMax 100
set thetaslicesStep 1
}

init $argc $argv


proc {main} {argc argv} {

}

proc {Window} {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1265 994
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top74 {base} {
    if {$base == ""} {
        set base .top74
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel
    wm focusmodel $base passive
    wm geometry $base 520x419+553+220
    wm maxsize $base 1265 994
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "New Toplevel 1"
    label $base.01 \
        -borderwidth 1 -font {Helvetica 14 bold} -text sphere 
    label $base.02 \
        -borderwidth 1 -font {Helvetica 11 bold} -text radius 
    entry $base.03 \
        -font {Helvetica -12 bold} -textvariable radiusValue 
    entry $base.04 \
        -textvariable zslicesMax 
    entry $base.08 \
        -font {Helvetica -12 bold} -textvariable thetaslicesValue 
    label $base.09 \
        -borderwidth 1 -font {Helvetica 11 bold} -text zmin 
    entry $base.010 \
        -font {Helvetica -12 bold} -textvariable thetamaxValue 
    entry $base.011 \
        -font {Helvetica -12 bold} -textvariable zminValue 
    scale $base.012 \
        \
        -command {global zslicesMin zslicesMax

.top74.012 configure -from $zslicesMin
.top74.012 configure -to $zslicesMax

set foo} \
        -orient horiz -showvalue 0 -variable zslicesValue 
    scale $base.013 \
        \
        -command {global thetamaxMin thetamaxMax

.top74.013 configure -from $thetamaxMin
.top74.013 configure -to $thetamaxMax

set foo} \
        -orient horiz -showvalue 0 -to 360.0 -variable thetamaxValue 
    label $base.015 \
        -borderwidth 1 -font {Helvetica 11 bold} -text = 
    label $base.016 \
        -borderwidth 1 -font {Helvetica 11 bold} -text = 
    label $base.017 \
        -borderwidth 1 -font {Helvetica 11 bold} -text zmax 
    label $base.018 \
        -borderwidth 1 -font {Helvetica 11 bold} -text = 
    entry $base.019 \
        -font {Helvetica -12 bold} -textvariable zslicesValue 
    entry $base.020 \
        -font {Helvetica -12 bold} -textvariable zmaxValue 
    scale $base.021 \
        \
        -command {global thetaslicesMin thetaslicesMax

.top74.021 configure -from $thetaslicesMin
.top74.021 configure -to $thetaslicesMax

set foo} \
        -orient horiz -showvalue 0 -variable thetaslicesValue 
    entry $base.022 \
        -textvariable thetamaxMax 
    entry $base.023 \
        -textvariable thetaslicesMax 
    label $base.031 \
        -borderwidth 1 -font {Helvetica 11 bold} -text thetamax 
    label $base.032 \
        -borderwidth 1 -font {Helvetica 11 bold} -text zslices 
    label $base.033 \
        -borderwidth 1 -font {Helvetica 11 bold} -text thetaslices 
    label $base.034 \
        -borderwidth 1 -font {Helvetica 11 bold} -text = 
    label $base.035 \
        -borderwidth 1 -font {Helvetica 11 bold} -text = 
    label $base.036 \
        -borderwidth 1 -font {Helvetica 11 bold} -text = 
    entry $base.037 \
        -textvariable thetaslicesMin 
    entry $base.038 \
        -textvariable thetamaxMin 
    entry $base.039 \
        -textvariable zslicesMin 
    entry $base.040 \
        -textvariable zmaxMin 
    entry $base.041 \
        -textvariable zminMin 
    entry $base.042 \
        -textvariable radiusMin 
    scale $base.043 \
        \
        -command {global zmaxMin zmaxMax

.top74.043 configure -from $zmaxMin
.top74.043 configure -to $zmaxMax

set foo} \
        -from -1.0 -orient horiz -showvalue 0 -to 1.0 -variable zmaxValue 
    scale $base.044 \
        \
        -command {global zminMin zminMax zminStep

.top74.044 configure -from $zminMin
.top74.044 configure -to $zminMax
.top74.044 configure -resolution $zminStep

set foo} \
        -from -1.0 -orient horiz -resolution 0.1 -showvalue 0 -to 1.0 \
        -variable zminValue 
    scale $base.045 \
        -activebackground #d9d9d9 \
        -command {global radiusMin radiusMax radiusStep

.top74.045 configure -from $radiusMin
.top74.045 configure -to $radiusMax
.top74.045 configure -resolution $radiusStep

set foo} \
        -highlightthickness 2 -orient horiz -showvalue 0 -to 10.0 \
        -variable radiusValue 
    entry $base.046 \
        -textvariable zmaxMax 
    entry $base.047 \
        -textvariable zminMax 
    entry $base.048 \
        -textvariable radiusMax 
    ###################
    # SETTING GEOMETRY
    ###################
    place $base.01 \
        -x 10 -y 0 -anchor nw -bordermode ignore 
    place $base.02 \
        -x 10 -y 35 -anchor nw -bordermode ignore 
    place $base.03 \
        -x 120 -y 35 -width 48 -height 22 -anchor nw -bordermode ignore 
    place $base.04 \
        -x 325 -y 125 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.08 \
        -x 120 -y 185 -width 48 -height 22 -anchor nw -bordermode ignore 
    place $base.09 \
        -x 10 -y 65 -anchor nw -bordermode ignore 
    place $base.010 \
        -x 120 -y 155 -width 48 -height 22 -anchor nw -bordermode ignore 
    place $base.011 \
        -x 120 -y 65 -width 48 -height 22 -anchor nw -bordermode ignore 
    place $base.012 \
        -x 225 -y 125 -width 100 -anchor nw -bordermode ignore 
    place $base.013 \
        -x 225 -y 155 -width 100 -anchor nw -bordermode ignore 
    place $base.015 \
        -x 100 -y 65 -anchor nw -bordermode ignore 
    place $base.016 \
        -x 100 -y 35 -anchor nw -bordermode ignore 
    place $base.017 \
        -x 10 -y 95 -anchor nw -bordermode ignore 
    place $base.018 \
        -x 100 -y 95 -anchor nw -bordermode ignore 
    place $base.019 \
        -x 120 -y 125 -width 48 -height 22 -anchor nw -bordermode ignore 
    place $base.020 \
        -x 120 -y 95 -width 48 -height 22 -anchor nw -bordermode ignore 
    place $base.021 \
        -x 225 -y 185 -width 100 -anchor nw -bordermode ignore 
    place $base.022 \
        -x 325 -y 155 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.023 \
        -x 325 -y 185 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.031 \
        -x 10 -y 155 -anchor nw -bordermode ignore 
    place $base.032 \
        -x 10 -y 125 -anchor nw -bordermode ignore 
    place $base.033 \
        -x 10 -y 185 -anchor nw -bordermode ignore 
    place $base.034 \
        -x 100 -y 125 -anchor nw -bordermode ignore 
    place $base.035 \
        -x 100 -y 155 -anchor nw -bordermode ignore 
    place $base.036 \
        -x 100 -y 185 -anchor nw -bordermode ignore 
    place $base.037 \
        -x 180 -y 185 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.038 \
        -x 180 -y 155 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.039 \
        -x 180 -y 125 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.040 \
        -x 180 -y 95 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.041 \
        -x 180 -y 65 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.042 \
        -x 180 -y 35 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.043 \
        -x 225 -y 95 -width 100 -anchor nw -bordermode ignore 
    place $base.044 \
        -x 225 -y 65 -width 100 -anchor nw -bordermode ignore 
    place $base.045 \
        -x 225 -y 30 -width 100 -anchor nw -bordermode ignore 
    place $base.046 \
        -x 325 -y 95 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.047 \
        -x 325 -y 65 -width 45 -height 22 -anchor nw -bordermode ignore 
    place $base.048 \
        -x 325 -y 35 -width 45 -height 22 -anchor nw -bordermode ignore 
}

Window show .
Window show .top74

main $argc $argv
